io.vertx.ext.mail

## Enum CanonicalizationAlgorithm

- java.lang.Object
- - java.lang.Enum<CanonicalizationAlgorithm>
  - - io.vertx.ext.mail.CanonicalizationAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<CanonicalizationAlgorithm>

      public enum CanonicalizationAlgorithm
      extends Enum<CanonicalizationAlgorithm>

  Canonicalization Algorithm for DKIM.
  Author:
    Lin Gao

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RELAXED`
    `SIMPLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `algoName()` Gets the canonicalization algorithm representation.
    `static CanonicalizationAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CanonicalizationAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final CanonicalizationAlgorithm SIMPLE

    - #### RELAXED

          public static final CanonicalizationAlgorithm RELAXED

  - ### Method Detail

    - #### values

          public static CanonicalizationAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CanonicalizationAlgorithm c : CanonicalizationAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CanonicalizationAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### algoName

          public String algoName()

      Gets the canonicalization algorithm representation.
      Returns:
        the canonicalization algorithm representation

Copyright © 2022 Eclipse. All rights reserved.